Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class RequestContext

    java.lang.Object
      juzu.request.RequestContext

Direct Known Subclasses:
  ActionContext, MimeContext

    public abstract class RequestContext

extends Object

Author:
  Julien Viet

Nested Class Summary
`static class` | `RequestContext.METHOD_ID` Phase type literal.

Field Summary
`static RequestContext.METHOD_ID` | `METHOD_ID` Phase type literal instance.

Constructor Summary
`RequestContext(juzu.impl.request.Request request, juzu.impl.application.ApplicationContext application, juzu.impl.controller.descriptor.ControllerMethod method)`

Method Summary
`juzu.impl.application.ApplicationContext` | `getApplication()`
`HttpContext` | `getHttpContext()`
`juzu.impl.controller.descriptor.ControllerMethod` | `getMethod()`
`Map<String,String[]>` | `getParameters()`
`abstract Phase` | `getPhase()`
`
`<T> T`
` | `getProperty(PropertyType<T> propertyType)`
`SecurityContext` | `getSecurityContext()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_ID

    public static RequestContext.METHOD_ID METHOD_ID

  Phase type literal instance.

Constructor Detail

### RequestContext

    public RequestContext(juzu.impl.request.Request request,
                          juzu.impl.application.ApplicationContext application,
                          juzu.impl.controller.descriptor.ControllerMethod method)

Method Detail

### getApplication

    public juzu.impl.application.ApplicationContext getApplication()

### getMethod

    public juzu.impl.controller.descriptor.ControllerMethod getMethod()

### getParameters

    public Map<String,String[]> getParameters()

### getHttpContext

    public HttpContext getHttpContext()

### getSecurityContext

    public SecurityContext getSecurityContext()

### getProperty

    public <T> T getProperty(PropertyType<T> propertyType)

### getPhase

    public abstract Phase getPhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.